OSMC with KODI Krypton?

I was able to find all the parts in the section of the addon browser for dependencies. Enabling all the items related to MyOSMC there, got everything working in the addon, with the exception of the backup app. I was unable to find anything to enable to get backup working.

Would a log be helpful to you with this issue?

Hej Bosse_B!

Jag köpte nyss en Raspberry pi 3 och laddade ner Viaplay addon men kan inte logga in. vet du hur jag ska göra?

Please use english, I’ve sent you a pm with swedish instructions on how i got the addon to work.

I thought that you sent me a private message so I responded to that instead of here in the thread…
This was my response:
Inställningar -> KODI -> Tillägg -> Mina tillägg -> Videotillägg -> VIAPLAY -> Inställningar
(I do not know what an English version of Kodi would name these selections)
Then add email and password for the Viaplay account you use.

PS: I am still waiting for OSMC to upgrade to KODI 17 in the hope that sound will be present on sports items. DS

@Bosse_B
Running the latest krypton RC that Sam released and i have sound in Viaplay addon

Thank you for the inf!

I just installed the beta [TESTING] Kodi 17 (Krypton) Beta Builds for all platforms and it works great, with sound and all!

Is there any timeline as to the release of OSMC+Krypton?
I noted that the post linked to above was from Oct 16, 2016, so maybe now there is more info on the closeness to a release?

Krypton was officially released just a few days ago. It will take OSMC team of developers some time to “OSMC-ing” it to the standard we are used to, with ease of install etc.

Kodi haven’t announced the final version yet on their blog, and there have been recent commits to Krypton branch.

sorry my bad, was RC4 released

Hot off the press
Latest Releases
Latest Release: Kodi 17.0 “Krypton”
Release Date: 1 February 2017

https://kodi.tv/
https://kodi.tv/download/

Got it on a windows 10 machine. Installed over the top of a RC 4. Seems all plugins and profile are nominal.

@skeeter tnx for the windows 10 update however this is OSMC :slight_smile: so let sam and the rest of the guys fix the rebase of patches so that users dont have to send bulk logs complaining that thier mediacenter gets a frowny face

suggest most users check the patches link so you get a gist of what it takes to get kodi into osmc :slight_smile: that way we dont get this rush of “OMG its out” posts

there are around 55 patches for all OSMC system that needs to work then around 9 to 10 patches for each system (rpi, atv, vero) so its not just slapping a bin into the system.

But its nice to see users exited for Krypton :blush:

1 Like

Roger that.
Got it on the window’s machine but for testing. OSMC is on with Kodi 16 is on two Pis I’m happily waiting for your 17, don’t rush it.
And thanks for all the great work.

1 Like

Kodi Krypton will be available within an hour.

Thanks!
Will my OSMC keep the Amber skin if I do an upgrade or will I get Confluence or the new skin?

Skin will change to (new) OSMC skin to ensure compatibility. If Amber skin is compatible with v17 than you can switch back after the upgrade

I used the OSMC program ADD-ON and selected “Check for updates” which resulted in the usual download and then dialog to exit Kodi for the update.
But after a short while there was an error message saying:
ERROR INSTALLING: RBP2-MEDIACENTER-OSMC (17.0.0-2)
PLEASE REPORT THIS ON THE OSMC FORUM

System info:
Raspberry Pi2 with OSMC updated just a week or so to the January 2017 version.
Kodi configured with the Amber skin.
1Tb USB media disk attached to hold video and sound files.
The update obviously was done using the OSMC built-in updater and before I ran it I also made a backup of the settings using the backup command in the OSMC program.

What can I do now? I no longer have a working media center!

Can you login via SSH? If so run

sudo apt-get update
sudo apt-get dist-upgrade

If problem still exists run grab-logs -A and share the URL

ran the sudo commands and got this on the dist-upgrade:

osmc@osmc:~$ sudo apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... The following packages were automatically installed and a re no longer required: apt-transport-https armv7-libafpclient-osmc armv7-libdvdcss-osmc armv7-libdvdnav-osmc armv7-libdvdread-osmc libavdevice55 libcurl3-gnutls libdrm2 libgl1-mesa-glx libglapi-mesa libglu1-mesa libgssapi3-heimdal libheimntlm0-heimdal libjasper1 libkdc2-heimdal libopencv-core2.4 libopencv-imgproc2.4 libva1 libvdpau1 libx264-142 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-sync1 libxdamage1 libxfixes3 libxshmfence1 libxxf86vm1 rbp2-image-4.4.16-1-osmc Use 'apt-get autoremove' to remove them. Done The following packages will be upgraded: rbp2-mediacenter-osmc 1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 8 not fully installed or removed. Need to get 0 B/39.0 MB of archives. After this operation, 16.5 MB of additional disk space will be used. Do you want to continue? [Y/n] (Reading database ... 27303 files and directories currently installed.) Preparing to unpack .../rbp2-mediacenter-osmc_17.0.0-2_armhf.deb ... Unpacking rbp2-mediacenter-osmc (17.0.0-2) over (16.1.0-27) ... dpkg: error processing archive /var/cache/apt/archives/rbp2-mediacenter-osmc_17. 0.0-2_armhf.deb (--unpack): trying to overwrite '/usr/lib/kodi/system/players/VideoPlayer/libdvdnav-arm.so' , which is also in package armv7-libdvdnav-osmc 5.0.4-1 dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing: /var/cache/apt/archives/rbp2-mediacenter-osmc_17.0.0-2_armhf.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

then I did the log command:

osmc@osmc:~$ grab-logs -A Logs successfully uploaded. Logs available at http://paste.osmc.io/urinovubat